<div class="modal">
    <button type="button" class="close" (click)="closeModal()">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div style="display: grid; width: 75vw;">
    <div class="all-in-one-table">
        <elastic-page-header [height]="'137px'" background="url(assets/img/demo/headers/pattern-3.png)"
            [reverse]="true">
        </elastic-page-header>
        <h1 style="color: white; margin: 25px;">Historial</h1>
    </div>
    <!-- <elastic-list [name]="title" (keyup)="onFilterChange($event)" [placeholder]="'Buscar por nombre o dirección'">
    </elastic-list> -->
    <mat-card style="width: 75vw;">
        <elastic-data-table [columns]="historysColumns" [dataPage]="currentPageLockCommands"
            [loading]="loadingCommandsTable" [totalRecords]="totalLockCommands" [pageSize]="historysPageSize"
            (rowAction)="tableAction($event)" (changePage)="changePage($event)">
        </elastic-data-table>
    </mat-card>
</div>